> ## Documentation Index
> Fetch the complete documentation index at: https://developer.gptmaker.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Pegar links

> Pega os links dos scripts do widget para injetar no site



## OpenAPI

````yaml GET /v2/channel/{channelId}/widget-links
openapi: 3.0.1
info:
  title: OpenAPI GPT Maker
  description: Documentação completa da API do GPT Maker
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.gptmaker.ai
security:
  - bearerAuth: []
paths:
  /v2/channel/{channelId}/widget-links:
    get:
      description: Pega os links dos scripts do widget para injetar no site
      parameters:
        - name: channelId
          in: path
          description: ID do canal
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Links dos scripts do widget
          content:
            application/json:
              schema:
                type: object
                properties:
                  float:
                    type: string
                    description: Link do botão flutuante
                  iframe:
                    type: string
                    description: Link do iframe para usar dentro de um iframe
        '400':
          description: Erro inesperado
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Erro de token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
components:
  schemas:
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
    Error403:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````